Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.html
Class AddressElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.SinglePartElement
                        |
                        +--weblogic.html.AddressElement

public final class AddressElement
extends SinglePartElement

Use an AddressElement to create the ADDRESS element on an HtmlPage. The ADDRESS element is used for information about the author of the document. It may contain a URL to the authoring body. Address elements are usually rendered by a browser in an italic font.

Author:
  Copyright (c) 1996-97 by WebLogic, Inc. All Rights Reserved.

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`AddressElement()` Deprecated. Constructs an empty AddressElement.
`AddressElement(HtmlElement author)` Deprecated. Constructs an AddressElement with the specified string.
`AddressElement(java.lang.String author)` Deprecated. Constructs an AddressElement with the specified string.
`AddressElement(java.lang.String url, HtmlElement author)` Deprecated. Constructs an AddressElement with the specified URL and author information.

Method Summary
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`protected boolean` | `printCR()` Deprecated.
`AddressElement` | `setAuthor(HtmlElement author)` Deprecated. Sets the author information for an AddressElement.
`AddressElement` | `setAuthor(java.lang.String author)` Deprecated. Sets the author information for an AddressElement.
`AddressElement` | `setURL(java.lang.String url)` Deprecated. Sets the URL for an AddressElement.

Methods inherited from class weblogic.html.SinglePartElement
`getElement, printBody, printBody, printBody, setElement, setElement, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, printBody, printEndingTag, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AddressElement

    public AddressElement()

  Deprecated.
  Constructs an empty AddressElement.

### AddressElement

    public AddressElement(java.lang.String author)

  Deprecated.
  Constructs an AddressElement with the specified string.

  Parameters:
    `author` - Author of the document

### AddressElement

    public AddressElement(HtmlElement author)

  Deprecated.
  Constructs an AddressElement with the specified string.

  Parameters:
    `author` - Author of the document

### AddressElement

    public AddressElement(java.lang.String url,
                          HtmlElement author)

  Deprecated.
  Constructs an AddressElement with the specified URL and author information.

  Parameters:
    `url` - URL for contacting the author
    `author` - Author of the document

Method Detail

### setAuthor

    public AddressElement setAuthor(java.lang.String author)

  Deprecated.
  Sets the author information for an AddressElement.

  Parameters:
    `author` - Author of the document
  Returns:
    AddressElement

### setAuthor

    public AddressElement setAuthor(HtmlElement author)

  Deprecated.
  Sets the author information for an AddressElement.

  Parameters:
    `author` - Author of the document
  Returns:
    Address Element

### setURL

    public AddressElement setURL(java.lang.String url)

  Deprecated.
  Sets the URL for an AddressElement.

  Parameters:
    `url` - URL for contacting the author
  Returns:
    AddressElement

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Deprecated.

  Overrides:
    printCR in class ElementWithAttributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference